﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Vista.RPC.Procedures.DDR;
using System.Collections.Generic;

namespace Vista.RPC
{
    [TestClass]
    public class FileManDataArrayUnitTest1
    {
        [TestMethod]
        public void AddTest1()
        {
            FileManDataArray fda = new FileManDataArray();
            fda.Add("500003", "1", "1", "chris");
            fda.Add("500003", "1", "2", "cody");
            fda.Add("500003", "1", "3", "shanti");

            List<string> fdaList = fda.ToFDA();
            foreach (string s in fdaList)
            {
                Console.WriteLine(s);
            }
        }

        [TestMethod]
        public void RemoveTest1()
        {
            FileManDataArray fda = new FileManDataArray();
            fda.Add("500003", "1", "1", "chris");
            fda.Add("500003", "1", "2", "cody");
            fda.Add("500003", "1", "3", "shanti");

            List<string> fdaList = fda.ToFDA();
            foreach (string s in fdaList)
            {
                Console.WriteLine(s);
            }

            fda.Remove("500003", "1", "2");
            fda.Remove("500003", "1", "9");

            Console.WriteLine("----------------------------");
            
            fdaList = fda.ToFDA();
            foreach (string s in fdaList)
            {
                Console.WriteLine(s);
            }
        }
    }
}
