﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Procedures.XOBE
{
    [TestClass]
    public class EsigGetDataUnitTest1 : BaseRpcTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            var rpcClient = ConnectAndLogin();
            var remoteProcedure = new ElectronicSignatureGetDetails();

            rpcClient.Call(remoteProcedure);

            Console.WriteLine(remoteProcedure.Response);

            Assert.IsTrue(remoteProcedure.Response.Length > 0);

            Assert.IsFalse(string.IsNullOrEmpty(remoteProcedure.Initials), "Initials"); 
            Assert.IsFalse(string.IsNullOrEmpty(remoteProcedure.SignatureBlockPrintedName), "SignatureBlockPrintedName");
            Assert.IsFalse(string.IsNullOrEmpty(remoteProcedure.SignatureBlockTitle), "SignatureBlockTitle");
            Assert.IsFalse(string.IsNullOrEmpty(remoteProcedure.OfficePhoneNumber), "OfficePhoneNumber");
            Assert.IsFalse(string.IsNullOrEmpty(remoteProcedure.VoicePagerNumber), "VoicePagerNumber");
            Assert.IsFalse(string.IsNullOrEmpty(remoteProcedure.DigitalPagerNumber), "DigitalPagerNumber");            
        }
    }
}
