﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Procedures.XUS
{
    [TestClass]
    public class DivisionGetUnitTest1 : BaseRpcTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            var rpcClient = ConnectAndLogin(true);
            var remoteProcedure = new DivisionGet();

            rpcClient.Call(remoteProcedure);

            Console.WriteLine(remoteProcedure.Response);
            Assert.IsTrue(remoteProcedure.Response.Length > 0);
            Assert.IsTrue(remoteProcedure.HasDivisions == true);
            Assert.IsTrue(remoteProcedure.Divisions().Count > 0);
        }
    }
}
