﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vista.RPC.Parameters
{
    public class ReferenceParameter : Parameter, IParameter
    {
        public string Value
        {
            get;
            private set;
        }

        public const string BROKER_VALUE = "1";

        public ReferenceParameter(string value)
        {
            Value = value;
        }

        public string ToParameter()
        {
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.Append(BROKER_VALUE);
            stringBuilder.Append(Value.PackString(PACK_STRING_LENGTH));
            stringBuilder.Append("f");

            return stringBuilder.ToString();
        }
    }
}
