﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vista.RPC.Procedures.XOBE
{
    public class ElectronicSignatureCodeIsDefined : RemoteProcedure
    {
        public ElectronicSignatureCodeIsDefined() : base("XOBE ESIG IS DEFINED")
        {

        }

        /// <summary>
        /// Returns a value representing whether or not a user has a VistA electronic signature code defined
        /// </summary>
        /// <returns>true if the user has defined/setup an electronic signature, otherwise false</returns>
        public bool IsElectronicSignatureCodeDefined()
        {
            if(Response.Equals("1"))
                return true;

            return false;
        }
    }
}
