﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vista.RPC.Procedures.XUS
{
    /// <summary>
    /// This remote procedure fetches a token for BSE use on a remote system.
    /// </summary>
    public class VisitorSet : RemoteProcedure
    {
        public VisitorSet() : base("XUS SET VISITOR")
        {
            
        }

        public string GetVisitorToken()
        {
            return Response.Trim();
        }
    }
}
