﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Extensions.Logging;

namespace Vista.RPC
{
    class RpcSocketFactory : IRpcSocketFactory
    {
        private readonly ILogger _logger;

        public RpcSocketFactory(ILogger logger)
        {
            _logger = logger;
        }

        public IRpcSocket Create()
        {
            return new RpcSocket(_logger);
        }
    }
}
