﻿CREATE TABLE dbo.Regions
(
	--fields
	RegionID	[tinyint] NOT NULL,
	RegionCode	[varchar](10) NOT NULL,	
	RegionName	[varchar](50) NOT NULL,

	--primary key
	CONSTRAINT PK_Regions PRIMARY KEY CLUSTERED 
	(
		RegionID ASC
	)
 ) 
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key', 
N'SCHEMA', N'dbo', 
N'TABLE', N'Regions', 
N'COLUMN', N'RegionID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Code for the Region', 
N'SCHEMA', N'dbo', 
N'TABLE', N'Regions', 
N'COLUMN', N'RegionCode'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the Region', 
N'SCHEMA', N'dbo', 
N'TABLE', N'Regions', 
N'COLUMN', N'RegionName'
GO