﻿using System;
using System.Collections.Generic;
using System.Data.Entity.Infrastructure;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WebVRAM.Data.Domain;

namespace WebVRAM.Data.Repository
{
    public class WebVRAM_EntitiesFactory : IDbContextFactory<WebVRAM_Entities>
    {
        private string _connectionString;

        public WebVRAM_EntitiesFactory(string connectionString)
        {
            _connectionString = connectionString;
        }

        public WebVRAM_Entities Create()
        {
            return new WebVRAM_Entities(_connectionString);
        }
    }
}
