﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebVRAM.Vista.Service.Models
{
    public class ClaimsSystem
    {
        public static readonly ClaimsSystem Production = new ClaimsSystem("Claims Production", "DNS.URL       ", "PORT");

        public static readonly ClaimsSystem Test = new ClaimsSystem("Claims Test", "VISTA.TBAISCURL        ", "PORT");

        public ClaimsSystem(string claimsDescription, string claimsHostname, string claimsPort)
        {
            ClaimsDescription = claimsDescription;
            ClaimsHostname = claimsHostname;
            ClaimsPort = claimsPort;
        }

        public string ClaimsDescription { get; private set; }
        public string ClaimsHostname { get; private set; }
        public string ClaimsPort { get; private set; }

        public override string ToString()
        {
            return "Claim Description: " + ClaimsDescription + " / Claim Hostname: " + ClaimsHostname + " / Claim Port: " +
                   ClaimsPort;
        }
    }
}
