﻿using System.Collections.Generic;

namespace WebVRAM.Vista.Service.Models
{
    public class VistaUser
    {
        // new person fields
        public string PersonIen;
        public string PersonName; // .01
        public string AccessCode; // 2
        public string VerifyCode; // 11 
        public string DateOfBirth; // 5
        public string DisableUser; // 7
        public string Title; // 8
        public string SocialSecurityNumber; // 9
        public string TerminationDate; // 9.2
        public string ServiceSection; // 29
        public string ScreenEditor; // 31.3
        public string ElectronicSignature; // 20.4
        public string ElectronicSignaturePrintedBlock; // 20.2
        public string ElectronicSignatureTitleBlock; // 20.3
        public string CreateDate; // 30 - actually called DATE ENTERED
        public string AllowedToUseSpooler; // 41
        public string MultipleSignon; // 200.04
        public string MultipleSignonLimit; // 200.19
        public string TimedRead; // 200.1
        public string AutoSignon; // 200.18

        // vista new person sub-files
        public string PrimaryMenu; // 201
        public Dictionary<string /* ien */,string /* value */> SecondaryMenus; // 200.03
        public Dictionary<string /* ien */, string /* value */> SecurityKeys; // 200.051
        public Dictionary<string /* ien */, CprsTab> CprsTabs; // 200.010113
        
    }
}
