﻿using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using WebVRAM.Vista.Service;
using WebVRAM.Vista.Services;

namespace WebVRAM.Web.ng.Controllers
{
    public class VistaController : BaseApiController<VistaController>
    {
        private SyncService _syncService;

        public VistaController(ILogger<VistaController> logger, SyncService syncService) : base(logger)
        {
            _syncService = syncService;
        }

        [HttpGet]
        public IActionResult GetVistaSites()
        {
            return Ok(_syncService.GetVistaSites().Values.ToList());
        }
    }
}
