//jshint strict: false
module.exports = function(config) {
  config.set({

    basePath: './wwwroot',

    files: [
      'scripts/ng/angular.js',
      'scripts/ng/angular-route.js',
	  'scripts/ng/angular-cookies.js',
	  'scripts/ng/angular-animate.js',
	  'scripts/ng/angular-aria.js',
	  'scripts/ng/angular-messages.js',
	  'scripts/ng/angular-touch.js',
	  'scripts/ng/angular-sanitize.js',
	  'scripts/ng/angular-mocks.js',
	  
	  'scripts/angular-strap/angular-strap.js',
	  'scripts/angular-strap/angular-strap.tpl.js',
	  'scripts/ng-idle/angular-idle.js',
	  
	  'ng/**/*.js'
    ],

    autoWatch: true,

    frameworks: ['jasmine'],

    browsers: ['Chrome'],
	
	listenAddress: 'localhost',

    plugins: [
      'karma-chrome-launcher',
      'karma-firefox-launcher',
      'karma-jasmine'
    ]

  });
};