//jshint strict: false
exports.config = {

  allScriptsTimeout: 11000,

  specs: [
    'wwwroot/e2e-tests/*.js'
  ],

  capabilities: {
	browserName: 'chrome',
	chromeOptions: {
	  useAutomationExtension: false,
	  'args': [
		'show-fps-counter=true', 
		'--no-first-run', 
		'--no-default-browser-check',
		'--user-data-dir=c:/temp/chrome_protractor',
		'--enable-automation',
		'--disable-dev-shm-usage',
		'--start-maximized',
		'--remote-debugging-port=12354']
    }
  },

  baseUrl: 'http://localhost:8000/',

  framework: 'jasmine',

  jasmineNodeOpts: {
    defaultTimeoutInterval: 30000
  }

};