﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Procedures.DDR
{
    [TestClass]
    public class DdrFinderUnitTest : BaseRpcTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            var rpcClient = ConnectAndLogin(true);

            var ddrFinder = new DdrFinder(file: "100100.0343", lookupValue: "28245");
            rpcClient.Call(ddrFinder);

            Assert.IsTrue(ddrFinder.Response.Length > 0);

            Console.WriteLine(ddrFinder.Response);

            rpcClient.Disconnect();
        }
    }
}
