﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Vista.RPC.Procedures.XWB;

namespace Vista.RPC.Procedures.ORWU
{
    [TestClass]
    public class OrwuValidSigUnitTest1
    {
        [TestMethod]
        public void TestMethod1()
        {
            RpcClient c = BaseRpcTest.ConnectAndLogin();

            Vista.RPC.Procedures.XWB.CreateContext createContext = new CreateContext(CreateContext.CONTEXT_CAPRI.ToSecureString());
            c.Call(createContext);

            bool isValid = createContext.IsValidContext();
            Assert.IsTrue(isValid);

            ValidSig eSig = new ValidSig("lksjdflksj");
            c.Call(eSig);

            Assert.IsFalse(eSig.IsValidESig);

            eSig = new ValidSig("abc123");
            c.Call(eSig);

            Assert.IsTrue(eSig.IsValidESig);

            c.Disconnect();
        }
    }
}
