﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Procedures.XOBE
{
    [TestClass]
    public class EsigDefinedUnitTest1 : BaseRpcTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            var rpcClient = ConnectAndLogin();
            var remoteProcedure = new ElectronicSignatureCodeIsDefined();

            rpcClient.Call(remoteProcedure);

            Assert.IsTrue(remoteProcedure.Response.Trim().Length > 0);

            var isDefined = remoteProcedure.IsElectronicSignatureCodeDefined();

            Assert.IsTrue(remoteProcedure.IsElectronicSignatureCodeDefined());
        }
    }
}
