﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Procedures.XUS
{
    [TestClass]
    public class SetVisitorTest1 : BaseRpcTest
    {
        [TestMethod]
        public void TestGettingVisitorToken()
        {
            var rpcClient = ConnectAndLogin(true);
            var remoteProcedure = new VisitorSet();

            rpcClient.Call(remoteProcedure);

            Console.WriteLine(remoteProcedure.GetVisitorToken());
            Assert.IsTrue(remoteProcedure.GetVisitorToken().Length > 0);
            Assert.IsTrue(remoteProcedure.GetVisitorToken().Contains("XUSBSE"));
        }
    }
}
