﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Procedures.XWB
{
    [TestClass]
    public class BrokerInfoUnitTest1 : BaseRpcTest
    {
        [TestMethod]
        public void GetTimeoutTest()
        {
            RpcClient rpcClient = GetRpcClient(true);
            rpcClient.Connect();
            
            BrokerInfo procedure = new BrokerInfo();
            rpcClient.Call(procedure);

            TimeSpan timeSpan = procedure.GetTimeout();
            
            Assert.IsNotNull(timeSpan);
            Assert.IsTrue(timeSpan.TotalSeconds > 0, "The RPC broker timeout should be greater than 0");
            Console.WriteLine(timeSpan.TotalSeconds);

            rpcClient.Disconnect();
        }
    }
}
