﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Vista.RPC.Utilities
{
    [TestClass]
    public class MumpsDateTimeUnitTests
    {
        [TestMethod]
        public void TestNowAndGet()
        {
            var dtNow = DateTime.Now;
            var mNow = MumpsDateTime.Now();

            Assert.IsNotNull(mNow);

            var mDateTime = MumpsDateTime.Get(dtNow);

            Assert.IsTrue(mNow == mDateTime);

            dtNow = DateTime.Parse("02/04/2019");
            mDateTime = MumpsDateTime.Get(dtNow);

            Assert.IsTrue(mDateTime.StartsWith("65048,"));
        }
    }
}
