﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Extensions.Logging;

namespace Vista.RPC.Exceptions
{
    [Serializable]
    public class LoginException : CallException
    {
        private ILogger logger = RpcLogging.CreateLogger<LoginException>();

        public LoginException(string message) : base(message)
        {
            logger.LogError($"login failure: {message}");
        }
    }
}
