﻿using System;
using Vista.RPC.Procedures;

namespace Vista.RPC
{
	public interface IRpcSocket : IDisposable
	{
		bool Connected { get; }
		string LocalIpAddress { get; }
		string LocalHostName { get; }
		void Connect(string host, int port);
		void Call(IRemoteProcedure rpc);
		void Disconnect();
	}

}