﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vista.RPC.Parameters
{
    public class EmptyParameter : Parameter, IParameter
    {
        public string Value
        {
            get;
            private set;
        }

        public const string BROKER_VALUE = "4";

        public EmptyParameter(String value)
        {
            Value = value;
        }

        public string ToParameter()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append(BROKER_VALUE);
            sb.Append("".PackString(PACK_STRING_LENGTH));
            sb.Append("f");

            return sb.ToString();
        }
    }
}
