﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vista.RPC.Parameters;

namespace Vista.RPC.Procedures.DDR
{
    public class DdrDeleteEntry : RemoteProcedure
    {
        public DdrDeleteEntry(string fileNumber, string iens) : base("DDR DELETE ENTRY")
        {
            var dictionary = new Dictionary<string, string>();
            dictionary.Add("\"FILE\"", fileNumber);
            dictionary.Add("\"IENS\"", iens);

            AddParameter(new ListParameter(dictionary));
        }

        public bool IsEntryDeleted()
        {
            if(Response.Trim().Equals("1"))
                return true;

            return false;
        }
    }
}
