﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vista.RPC.Procedures.DDR
{
    /// <summary>
    /// This class stores the internal and external values for a single FileMan field entry
    /// </summary>
    public class FileManFieldValue
    {
        public FileManFieldValue(string externalValue, string internalValue = "")
        {
            ExternalValue = externalValue;
            InternalValue = internalValue;
        }

        public string ExternalValue
        {
            get; private set;
        }

        public string InternalValue
        {
            get; private set;
        }

        public override string ToString()
        {
            return ExternalValue;
        }
    }
}
