﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vista.RPC.Procedures.XOBE
{
    public class ElectronicSignatureGetDetails : RemoteProcedure 
    {
        public ElectronicSignatureGetDetails() : base("XOBE ESIG GET DATA")
        {
            
        }

        public string Initials = "";
        public string SignatureBlockPrintedName = "";
        public string SignatureBlockTitle = "";
        public string OfficePhoneNumber = "";
        public string VoicePagerNumber = "";
        public string DigitalPagerNumber = "";
       
        public override void AfterCall()
        {
            var splitResponses = Response.Split("\r\n");

            if (!splitResponses[0].Equals("@"))
                Initials = splitResponses[0];            

            if (!splitResponses[1].Equals("@"))
                SignatureBlockPrintedName = splitResponses[1];

            if (!splitResponses[2].Equals("@"))
                SignatureBlockTitle = splitResponses[2];            

            if (!splitResponses[3].Equals("@"))
                OfficePhoneNumber = splitResponses[3];

            if (!splitResponses[4].Equals("@"))
                VoicePagerNumber = splitResponses[4];

            if (!splitResponses[5].Equals("@"))
                DigitalPagerNumber = splitResponses[5];
        }
    }
}
