﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vista.RPC.Procedures.XU
{
    public class RebuildMenuTree : RemoteProcedure
    {
        /// <summary>
        /// Remote procedure queues a job in TaskMan to rebuild the users menu tree
        /// </summary>
        public RebuildMenuTree() : base("XU REBUILD MENU TREE")
        {
        }

        /// <summary>
        /// Checks to see if the job has been queued in TaskMan
        /// </summary>
        /// <returns>true when the task has been queued; otherwise false</returns>
        public bool IsRebuildMenuTreeQueued()
        {
            if(Response.Trim().Equals("1"))
                return true;

            return false;
        }
    }
}
