﻿-- =============================================
-- Description:	Returns Active Directory domain list
-- =============================================

CREATE PROCEDURE [dbo].[uspGetADDomains]
 AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	BEGIN TRY

		SELECT 'VHA01'
		UNION SELECT 'VHA02'
		UNION SELECT 'VHA03'
		UNION SELECT 'VHA04'
		UNION SELECT 'VHA05'
		UNION SELECT 'VHA06'
		UNION SELECT 'VHA07'
		UNION SELECT 'VHA08'
		UNION SELECT 'VHA09'
		UNION SELECT 'VHA10'
		UNION SELECT 'VHA11'
		UNION SELECT 'VHA12'
		UNION SELECT 'VHA15'
		UNION SELECT 'VHA16'
		UNION SELECT 'VHA17'
		UNION SELECT 'VHA18'
		UNION SELECT 'VHA19'
		UNION SELECT 'VHA20'
		UNION SELECT 'VHA21'
		UNION SELECT 'VHA22'
		UNION SELECT 'VHA23'
		UNION SELECT 'AAC'
		UNION SELECT 'DVA'
		UNION SELECT 'VBA'
		UNION SELECT 'VHAMASTER' ;
	
	END TRY

	BEGIN CATCH
		PRINT 'There was an error getting the active directory details' + CHAR(13);
		SELECT * FROM dbo.ufnGetErrorInfo();
		EXEC uspRaiseErrorInfo;
	END CATCH
END