﻿CREATE TABLE seclyr.Roles
(
	--fields
	RoleID				[tinyint] IDENTITY(1,1) NOT NULL,
	RoleName			[varchar](50) NOT NULL,
	Description			[varchar](200),

	--primary key
	CONSTRAINT PK_Roles PRIMARY KEY CLUSTERED 
	(
		RoleID ASC
	)
) 
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Roles', 
N'COLUMN', N'RoleID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the role', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Roles', 
N'COLUMN', N'RoleName'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Description of the role', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Roles', 
N'COLUMN', N'Description'
GO