﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security;
using System.Threading.Tasks;

namespace WebVRAM.Web.ng.Models
{
    public class VistaConfig
    {
        public VistaConfig(string claimsHostname, int claimsPort, SecureString vistaMenuOption,
            SecureString vistaBsePassPhrase)
        {
            ClaimsHostname = claimsHostname;
            ClaimsPort = claimsPort;
            VistaMenuOption = vistaMenuOption;
            VistaBsePassPhrase = vistaBsePassPhrase;
        }

        public string ClaimsHostname { get; }
        public int ClaimsPort { get; }
        public SecureString VistaMenuOption { get; }
        public SecureString VistaBsePassPhrase { get; }
    }
}