﻿using System;
using System.Collections.Generic;

namespace WebVRAM.Vista.Service.Models
{
    public class SynchronizationResult
    {
        public VistaSite VistaSite;

        public DateTime SynchronizationStartDateTime;

        public List<LogEntry> SequentialLog = new List<LogEntry>();
        public List<string> ErrorsList = new List<string>();
        public List<string> WarningsList = new List<string>();

        public VistaUser ClaimsUser;
        public VistaUser RemoteUser;

        public string AdDomain;
        public string AdUsername;

        public bool SuccessfullySynchronized = false;
        public string SignOnToken { get; set; }
    }
}
