﻿	 _ _ _     _   _____ _____ _____ _____ 
	| | | |___| |_|  |  | __  |  _  |     |
	| | | | -_| . |  |  |    -|     | | | |
	|_____|___|___|\___/|__|__|__|__|_|_|_|
                               
#### Introduction

The WebVRAM.Web.ng is an ASP.NET Core SPA that uses the 
AngularJS framework.

- The AngularJS framework is located in the directory wwwroot/scripts/ng
- The SPA is in the directory wwwroot/ng  

#### Building

##### Debug
There are no special steps necessary. 

##### Release
Before publishing the JS lib, SPA and CSS should be minified.
This can be accomplished by running the command: grunt uglify

#### Testing

##### ASP.NET Core

The related UnitTests and IntegrationTests are stored in the 
Visual Studio project called WebVRAM.Web.ng.Test

##### AngularJS

The related **unit tests** are placed alongside the SPA and
end with the file extension *.spec.js. To run, execute the following
command: npm run test

The related **end to end** tests are in wwwroot/e2e-tests. 
**First time running e2e?** Install the appropriate
webdriver by using the command: npm run update-webdriver

Next to run the e2e, execute the command: npm run protractor