﻿(function() {
    'use strict';

    function ToolbarController($scope, $rootScope) {
        $scope.showToolbar = false;

        $rootScope.$on(EVENTS.LOGGED_IN, function() {
            $scope.showToolbar = true;
        });

        $rootScope.$on(EVENTS.LOGGED_OUT, function() {
            $scope.showToolbar = false;
        });

        $scope.logout = function() {
            $scope.$emit(EVENTS.LOGGED_OUT);
        };
    }

    angular
        .module('WebVRAM')
        .controller('ToolbarController', ['$scope', '$rootScope', ToolbarController]);
})();