﻿(function () {
    'use strict';

    function SessionService() {
        var service = {};

        service.Get = getSessionValue;
        service.Set = setSessionValue;
        service.Clear = clearSession;

        return service;

        function getSessionValue(key) {
            return sessionStorage.getItem(key);
        }

        function setSessionValue(key, value) {
            sessionStorage.setItem(key, value);
        }

        function clearSession() {
            sessionStorage.clear();
        }

    };

    angular
        .module('WebVRAM')
        .factory('SessionService', [SessionService]);
})();